[R] fail in adding library in new version.

From: Ivy_Li <Ivy_Li_at_smics.com>
Date: Mon 06 Jun 2005 - 11:51:24 EST


Hello everybody,

	Could I consult you a question?
	I always use R old version 1.9.1 . Because I can not add my library into the new version 2.0.0 by the same method as old version. 

* I have read the webpage <http://www.stats.ox.ac.uk/pub/Rtools>
* Download the tools.zip
* Unpack tools.zip into c:\cygwin
* Install Active Perl in c:\Perl
* Install the mingw32 port of gcc in c:\mingwin
* Then go to "Control Panel -> System -> Advanced -> Environment Variables -> Path -> Variable Balue" add ;c:\cygwin;c:\mingwin\bin
* Save my library "example" into "c:\MyRpackages\" . But I am not sure what type it is, is it need suffix?" And I don't what its content, just my function script, no special format?
* Then I don't know where should I do this step: Type R CMD INSTALL --build example. Need I run R first?
So There is a error after I do this step. It said it can not find somethig. I don't which step is wrong. It costed me much time. Could anyone help me to settle this problems? Thanks very much!

Best Regards!
Ivy Li衣
YMS in Production & Testing
Semiconductor Manufactory International(ShangHai) Corporation #18 ZhangJiang Road, PuDong New Area, Shanghai, China Tel: 021-5080-2000 *11754
Email: Ivy_Li@smics.com



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Mon Jun 06 12:00:41 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:32:22 EST